Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEElGamalCipher.PKCS1v1_5Padding

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCEElGamalCipher
                  org.bouncycastle.jce.provider.JCEElGamalCipher.PKCS1v1_5Padding

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEElGamalCipher

    public static class JCEElGamalCipher.PKCS1v1_5Padding

extends JCEElGamalCipher

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEElGamalCipher
`JCEElGamalCipher.NoPadding, JCEElGamalCipher.PKCS1v1_5Padding`

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCEElGamalCipher.PKCS1v1_5Padding()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.JCEElGamalCipher
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class javax.crypto.CipherSpi
`engineDoFinal, engineUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEElGamalCipher.PKCS1v1_5Padding

    public JCEElGamalCipher.PKCS1v1_5Padding()

Bouncy Castle Cryptography Library 1.45